Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1147681 - Review Request: python-goto - Python implementation of "goto" and "comefrom" statements
Summary: Review Request: python-goto - Python implementation of "goto" and "comefrom" ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-09-29 20:27 UTC by Eric Smith
Modified: 2015-09-02 17:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-02 17:41:01 UTC


Attachments (Terms of Use)

Description Eric Smith 2014-09-29 20:27:21 UTC
Spec URL: https://fedorapeople.org/~brouhaha/python-goto/python-goto.spec
SRPM URL: https://fedorapeople.org/~brouhaha/python-goto/python-goto-1.0-1.fc20.src.rpm
Description: Goto is a Python module to implement the "goto" and "comefrom" statements.
Fedora Account System Username: brouhaha

Comment 1 Piotr Popieluch 2014-10-25 19:45:12 UTC
from the modules website:

The "goto" module was an April Fool's joke, published on 1st April 2004. Yes, it works, but it's a joke nevertheless. Please don't use it in real code!


The author advises not to use the module, do we really want package this in Fedora? Is there software actually using this?

If python3 is not supported, you could leave out all python3 conditionals.

Comment 2 Piotr Popieluch 2014-12-28 14:34:40 UTC
No response in two months. Do you really want this package in Fedora?

Comment 3 Eric Smith 2015-01-06 01:16:52 UTC
Not sure what response is desired. I use it (in an admittedly unusual situation), so I packaged it.

Comment 4 Piotr Popieluch 2015-03-08 12:16:14 UTC
Ok, I will review when you remove all the python 3 conditionals.

Comment 5 Piotr Popieluch 2015-06-20 21:39:30 UTC
review seems stalled. please remove the python3 conditionals if you want this in. Will close in two weeks if I get no response


Note You need to log in before you can comment on or make changes to this bug.